Get iFrame URL
Retrieves the hosted iFrame URL for secure credit card data entry. Use this URL to embed a PCI-compliant payment form in your application.
Query Parameters
- Type: stringtemplate
Id
Headers
- Type: stringx
-application Source requiredA custom HTTP header that accepts a free-form string value. It is used to identify the application making the API request. For example, if Punchh invokes the API, the value could be "punchh".
- Type: stringX
- Location Id requiredThe unique location identifier for the store or business location processing the transaction.
- Type: stringContent
- Type requiredThe media type of the request body. Must be set to
application/json. - Type: stringAuthorizationrequired
Bearer token for API authorization. Send in the format:
Bearer ACCESS_TOKEN_GOES_HERE.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/creditcard/v1/iframeurl
curl https://SERVER_NAME_GOES_HERE.partech.com/creditcard/v1/iframeurl \
--header 'x-applicationSource: ' \
--header 'X-LocationId: ' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE'
{
"iframeUrl": "https://example.com/iframe",
"parPayTransactionId": "TRANSACTION_ID_GOES_HERE",
"statusMessage": "Iframe URL generated successfully.",
"transactionDateTimeUTC": "2026-03-06T11:28:29.7167797Z",
"status": "Success"
}